Package com.sas.lsaf.content.repository

## Class RepositoryCheckinSpecification

- java.lang.Object
- - com.sas.lsaf.content.repository.RepositoryCheckinSpecification

- All Implemented Interfaces:
    `java.io.Serializable`

      public class RepositoryCheckinSpecification
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the method to generate a new version for a repository file is generated or what the new version number is.

  In general, a specification with a version type of `MAJOR` indicates that the major number field is incremented by one. A version type of `MINOR` indicates that the minor number field is incremented by one. A version type of `CUSTOM` enables you to specify the next version number.

  When specifying a `CUSTOM` check in specification, the specified number must be greater than the current version of the file.

  Since:
    1.1
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepositoryCheckinSpecification()` | Default constructor.
    `RepositoryCheckinSpecification​(boolean enableVersioningForNewFiles, VersionType versionType, java.lang.String customVersion)` | Constructor.
    `RepositoryCheckinSpecification​(boolean enableVersioningForNewFiles, VersionType versionType, java.lang.String customVersion, java.lang.String comment)` | Constructor.
    `RepositoryCheckinSpecification​(java.lang.String comment)` | Constructor.
    `RepositoryCheckinSpecification​(java.lang.String comment, VersionType versionType)` | Constructor.
    `RepositoryCheckinSpecification​(java.lang.String comment, VersionType versionType, java.lang.String customVersion)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getComment()` | Gets the description of the version to create.
    `java.lang.String` | `getCustomVersion()` | Gets the version to use, if the version type is `CUSTOM`.
    `VersionType` | `getVersionType()` | Gets the method to generate the next version.
    `int` | `hashCode()` |
    `boolean` | `isEnableVersioningForNewFiles()` | Gets whether new files are versioned when created.
    `void` | `setComment​(java.lang.String comment)` | Sets the description of the version to create.
    `void` | `setCustomVersion​(java.lang.String customVersion)` | Sets the version, if the version type is `CUSTOM`.
    `void` | `setEnableVersioningForNewFiles​(boolean enableVersioningForNewFiles)` | Sets whether new files are versioned when they are created.
    `void` | `setVersionType​(VersionType versionType)` | Sets the method to generate the next version.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryCheckinSpecification

          public RepositoryCheckinSpecification()

      Default constructor.

    - #### RepositoryCheckinSpecification

          public RepositoryCheckinSpecification​(java.lang.String comment)

      Constructor.
      Parameters:
        `comment` - A description of the version to create.

    - #### RepositoryCheckinSpecification

          public RepositoryCheckinSpecification​(java.lang.String comment,
                                                VersionType versionType)

      Constructor.
      Parameters:
        `comment` - A description of the version to create.
        `versionType` - The method to generate the next version.

    - #### RepositoryCheckinSpecification

          public RepositoryCheckinSpecification​(java.lang.String comment,
                                                VersionType versionType,
                                                java.lang.String customVersion)

      Constructor.
      Parameters:
        `comment` - A description of the version to create.
        `versionType` - The method to generate the next version.
        `customVersion` - The version, if the version type is `CUSTOM`.

    - #### RepositoryCheckinSpecification

          public RepositoryCheckinSpecification​(boolean enableVersioningForNewFiles,
                                                VersionType versionType,
                                                java.lang.String customVersion)

      Constructor.
      Parameters:
        `enableVersioningForNewFiles` - Indicates whether to version new files.
        `versionType` - The method to generate the next version.
        `customVersion` - The version, if the version type is `CUSTOM`.

    - #### RepositoryCheckinSpecification

          public RepositoryCheckinSpecification​(boolean enableVersioningForNewFiles,
                                                VersionType versionType,
                                                java.lang.String customVersion,
                                                java.lang.String comment)

      Constructor.
      Parameters:
        `enableVersioningForNewFiles` - Indicates whether to version new files.
        `comment` - A description of the version.
        `versionType` - The method to generate the next version.
        `customVersion` - The version, if the version type is `CUSTOM`.

  - ### Method Detail

    - #### getVersionType

          public VersionType getVersionType()

      Gets the method to generate the next version.
      Returns:
        The method to generate the next version.

    - #### setVersionType

          public void setVersionType​(VersionType versionType)

      Sets the method to generate the next version.
      Parameters:
        `versionType` - The method to generate the next version.

    - #### getCustomVersion

          public java.lang.String getCustomVersion()

      Gets the version to use, if the version type is `CUSTOM`.
      Returns:
        The version, if the version type is `CUSTOM`.

    - #### setCustomVersion

          public void setCustomVersion​(java.lang.String customVersion)

      Sets the version, if the version type is `CUSTOM`.
      Parameters:
        `customVersion` - The version, if the version type is `CUSTOM`.

    - #### getComment

          public java.lang.String getComment()

      Gets the description of the version to create.
      Returns:
        The description of the version to create.

    - #### setComment

          public void setComment​(java.lang.String comment)

      Sets the description of the version to create.
      Parameters:
        `comment` - The description of the version to create.

    - #### isEnableVersioningForNewFiles

          public boolean isEnableVersioningForNewFiles()

      Gets whether new files are versioned when created.
      Returns:
        The indication that new files are versioned when they are created.

    - #### setEnableVersioningForNewFiles

          public void setEnableVersioningForNewFiles​(boolean enableVersioningForNewFiles)

      Sets whether new files are versioned when they are created.
      Parameters:
        `enableVersioningForNewFiles` - Indicator whether new files are versioned when they are created.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`